/* Reset default margin and padding */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Basic styling */
body {
    font-family: 'Arial', sans-serif;
    line-height: 1.6;
    background-color: #f4f4f4;
    color: #333;
}

/* Style the header */
.header {
    background-color: #557C55;
    color: #fff;
    padding: 1rem 0;
}

/* Style the navigation */
.nav {
    display: flex;
    justify-content: space-around;
    padding: 1rem;
}

.nav-list {
    list-style: none;
    display: flex;
    justify-content: space-between;
    margin: 0 auto;
    font-size: 1.3rem;
}

.nav-item {
    display: inline;
    padding: 0.5rem 4rem ;
}

.nav-link {
    color: #fff;
    text-decoration: none;
    transition: color 0.3s ease, background-color 0.3s ease;
    /* transition-timing-function: cubic-bezier(0.1, 0.7, 1.0, 0.1); */
    transform: skewX(25deg);
    position: relative;
    padding: 10px 20px; 
    border: 2px solid #fff; 
    border-radius: 0.3rem;
}

.nav-link:hover {
    color: #333; 
    background-color: #fff; 
}
/* Navigation End */


/* Contact section */
.contact-section {
    text-align: center;
    padding: 2rem;
    background-color: #fff;
    margin: 2rem;
    border-radius: 0.5rem;
    box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.1);
}

.contact-title {
    color: #333;
    font-size: 2.5rem;
    margin-bottom: 1rem;
}

.contact-text {
    color: #666;
    font-size: 1.2rem;
    margin-bottom: 2rem;
}

.contact-form {
    display: flex;
    flex-direction: column;
    align-items: center;
    font-size: 1.2rem;
    gap: 1rem;
    width: 100%;
    max-width: 500px;
    margin: 0 auto;
    padding-bottom: 5%; 
}

.form-group {
    width: 100%;
}

.form-group label {
    align-self: flex-start;
}

.form-group input[type="text"],
.form-group input[type="email"],
.form-group textarea {
    width: 100%;
    padding: 0.5rem;
    border: 1px solid #ddd;
    border-radius: 0.25rem;
}

.form-group input[type="submit"] {
    background-color: #333;
    color: #fff;
    padding: 1rem 1.2rem;
    font-size: 1.2rem;
    border: none;
    border-radius: 0.25rem;
    cursor: pointer;
    transition: background-color 0.3s ease;
    
}

.form-group input[type="submit"]:hover {
    background-color: #444;
}

.map-container {
    width: 100%;
    padding-bottom: 25%; 
    position: relative;
    height: 0;
}

.map-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

/* Contact Section End  */


.footer {
    text-align: center;
    padding: 2rem;
    background-color: #557C55;
    color: #fff;
    font-size: 1.5rem;
    width: 100%;
}


/* Tablet View */
@media (max-width: 680px) {

    .contact-title {
        font-size: 2rem;
    }

    .contact-text,
    .contact-form {
        font-size: 1rem;
    }

    .contact-form {
        max-width: 100%;
    }

    .form-group input[type="submit"] {
        padding: 0.8rem 1rem;
        font-size: 1rem;
    }

    .map-container {
        padding-bottom: 50%; /* Adjust as needed for smaller screens */
    }


}


@media (max-width: 600px) {


    .nav {
        flex-direction: column;
        align-items: center;
    }

    .nav-list {
        flex-direction: column;
        justify-content: center;
        align-items: center;
        text-align: center;
        width: 100%;
        font-size: 1.1rem;
    }

    .nav-item {
        margin: 0.5rem 0;
    }

    .footer {
        font-size: 1rem;
    }

}


/* Mobile View */
@media (max-width: 425px) {
    .nav {
        padding: 0.5rem;
    }

    .contact-title {
        font-size: 1.5rem;
    }

    .contact-text,
    .contact-form {
        font-size: 0.9rem;
    }

    .form-group input[type="submit"] {
        padding: 0.6rem 0.8rem;
        font-size: 0.9rem;
    }

    .map-container {
        padding-bottom: 75%; /* Adjust as needed for smaller screens */
    }

    .footer {
        font-size: 1.2rem;
        padding: 1.5rem;
    }
}